summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Willy Sudiarto Raharjo <willysr@slackware-id.org>2012-09-18 23:04:18 -0500
committer Robby Workman <rworkman@slackbuilds.org>2012-09-18 23:04:18 -0500
commit5875eb8a952d36e64d46e1343f7f9e7b3e5472e8 (patch)
tree70fb04a2f36c0322bee6e1900a1919896b0de655
parent85870168a1ef92a717875cc287ada4e33083e3ee (diff)
downloadslackbuilds-5875eb8a952d36e64d46e1343f7f9e7b3e5472e8.tar.gz
slackbuilds-5875eb8a952d36e64d46e1343f7f9e7b3e5472e8.tar.xz
audio/opus: Added (Audio Codec)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--audio/opus/README4
-rw-r--r--audio/opus/opus.SlackBuild104
-rw-r--r--audio/opus/opus.info10
-rw-r--r--audio/opus/slack-desc19
4 files changed, 137 insertions, 0 deletions
diff --git a/audio/opus/README b/audio/opus/README
new file mode 100644
index 0000000000..df5dd26216
--- /dev/null
+++ b/audio/opus/README
@@ -0,0 +1,4 @@
+Opus is a totally open, royalty-free, highly versatile audio codec.
+It is standardized by the Internet Engineering Task Force (IETF)
+as RFC 6716 which incorporated technology from Skype's SILK codec
+and Xiph.Org's CELT codec.
diff --git a/audio/opus/opus.SlackBuild b/audio/opus/opus.SlackBuild
new file mode 100644
index 0000000000..b0edeff67a
--- /dev/null
+++ b/audio/opus/opus.SlackBuild
@@ -0,0 +1,104 @@
+#!/bin/sh
+
+# Slackware build script for opus
+
+# Copyright 2012 Willy Sudiarto Raharjo <willysr@slackware-id.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=opus
+VERSION=${VERSION:-1.0.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING INSTALL README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/opus/opus.info b/audio/opus/opus.info
new file mode 100644
index 0000000000..0caaf61ca9
--- /dev/null
+++ b/audio/opus/opus.info
@@ -0,0 +1,10 @@
+PRGNAM="opus"
+VERSION="1.0.1"
+HOMEPAGE="http://opus-codec.org/"
+DOWNLOAD="http://downloads.xiph.org/releases/opus/opus-1.0.1.tar.gz"
+MD5SUM="bbac19996957b404a1139816e2f357f5"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Willy Sudiarto Raharjo"
+EMAIL="willysr@slackware-id.org"
diff --git a/audio/opus/slack-desc b/audio/opus/slack-desc
new file mode 100644
index 0000000000..1c7390a6af
--- /dev/null
+++ b/audio/opus/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+opus: opus (Audio Codec)
+opus:
+opus: Opus is a totally open, royalty-free, highly versatile audio codec.
+opus: It is standardized by the Internet Engineering Task Force (IETF)
+opus: as RFC 6716 which incorporated technology from Skype's SILK codec
+opus: and Xiph.Org's CELT codec.
+opus:
+opus: Project site: http://opus-codec.org/
+opus:
+opus:
+opus: